Bug 1950270 - should use "kubernetes.io/os" in the dns/ingresscontroller node selector description when executing oc explain command
Summary: should use "kubernetes.io/os" in the dns/ingresscontroller node selector desc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.8.0
Assignee: Stephen Greene
QA Contact: jechen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-16 09:31 UTC by Hongan Li
Modified: 2021-07-27 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:01:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 886 0 None closed Bug 1950270: Use "kubernetes.io/os" in the dns/ingress node selector description 2021-04-29 14:16:04 UTC
Github openshift cluster-dns-operator pull 265 0 None closed Bug 1950270: go.mod: Update openshift/api & go version 2021-04-29 14:15:57 UTC
Github openshift cluster-ingress-operator pull 604 0 None closed Bug 1950270: go.mod: Update openshift/api & go version 2021-04-29 14:15:58 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:01:41 UTC

Description Hongan Li 2021-04-16 09:31:57 UTC
Description of problem:
should replace "beta.kuberneta.io/os" with "kubernetes.io/os" in the dns/ingresscontroller node selector description.

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-04-15-202330

How reproducible:
100%

Steps to Reproduce:
1. $ oc explain dns.spec.nodePlacement --api-version=operator.openshift.io/v1
2. $ oc explain ingresscontroller.spec.nodePlacement --api-version=operator.openshift.io/v1


Actual results:
DESCRIPTION:
     nodePlacement enables explicit control over the scheduling of the ingress
     controller. If unset, defaults are used. See NodePlacement for more
     details.

FIELDS:
   nodeSelector	<Object>
     nodeSelector is the node selector applied to ingress controller
     deployments. If unset, the default is:
     beta.kubernetes.io/os: linux node-role.kubernetes.io/worker: '' If set, the
     specified selector is used and replaces the default.


Expected results:
the default is: kubernetes.io/os: linux

Additional info:

Comment 5 jechen 2021-05-03 13:15:27 UTC
Verified with 4.8.0-0.nightly-2021-04-30-201824

$ oc get clusterversions
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-04-30-201824   True        False         11m     Cluster version is 4.8.0-0.nightly-2021-04-30-201824


[jechen@jechen ~]$ oc explain dns.spec.nodePlacement --api-version=operator.openshift.io/v1
<--snip-->
FIELDS:
   nodeSelector	<map[string]string>
     nodeSelector is the node selector applied to DNS pods. If empty, the
     default is used, which is currently the following:
     kubernetes.io/os: linux This default is subject to change. If set, the                <--verified with https://github.com/openshift/api/pull/886/files
     specified selector is used and replaces the default.
<--snip-->




[jechen@jechen ~]$ oc explain ingresscontroller.spec.nodePlacement --api-version=operator.openshift.io/v1
<--snip--->
FIELDS:
   nodeSelector	<Object>
     nodeSelector is the node selector applied to ingress controller
     deployments. If unset, the default is:
     kubernetes.io/os: linux node-role.kubernetes.io/worker: '' If set, the                     <--verified with https://github.com/openshift/api/pull/886/files
     specified selector is used and replaces the default.

<--snip-->

Comment 8 errata-xmlrpc 2021-07-27 23:01:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.